PGObject-Simple

PBObject::Simple is a minimalist framework for mapping stored procedures in
PostgreSQL to object methods.  The framework is truly minimalist and hence the
"Simple" designation (in fact the module contains less than 50 lines of code,
and the code is dwarfed by both POD and test cases).
It is intended to be of use for developers wishing for such a minimalist
framework and those who may want to have a reference for how to build such a 
mapping framework themselves.

The framework lends itself to a few specific antipatterns.  Objects can become
ill-formed, overly nebulous, or the like.  It is thus very important when using
this for actual development to ensure that acceptable data structures are well
documented and that these are adhered to.

This module is based on a simple idea, namely that stored procedures can tell
application classes how to call them.  See the POD for specific information and
guidelines.

INSTALLATION

To install this module, run the following commands:

	perl Makefile.PL
	make
	make test
	make install

SUPPORT AND DOCUMENTATION

After installing, you can find documentation for this module with the
perldoc command.

    perldoc PGObject::Simple

You can also look for information at:

    RT, CPAN's request tracker (report bugs here)
        http://rt.cpan.org/NoAuth/Bugs.html?Dist=PGObject-Simple

    AnnoCPAN, Annotated CPAN documentation
        http://annocpan.org/dist/PGObject-Simple

    CPAN Ratings
        http://cpanratings.perl.org/d/PGObject-Simple

    Search CPAN
        http://search.cpan.org/dist/PGObject-Simple/


LICENSE AND COPYRIGHT

Copyright (C) 2013 Chris Travers

This program is free software; you can redistribute it and/or modify it
under the terms of either: the GNU General Public License as published
by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.

